
%% Glottal wave detection testbed
% Ales Zita 2011

%% Description
% To test all iamges in possession 
% test images : 
% Healthy & good quality imgs:  Martin, Hana, Hana2, Hana3, Hana4, Katya
% Unhealthy imgs :              VKG-014, VKG-019, VKG-028, VKG-030, VKG-031
% Bad resolution imgs :         40, 6

%% Code
% th = correlation threshold
% masksize = maximum half size of the mask (upper limit)
%
% Example : RunAll(0.6,9)

function RunAll(th,masksize)
if nargin == 0
    th = 0.5;
    masksize = 8;
end

GWProcess('martin', th, masksize, 'display')
GWProcess('hana', th, masksize, 'display')
GWProcess('hana2', th, masksize, 'display')
GWProcess('hana3', th, masksize, 'display')
GWProcess('hana4', th, masksize, 'display')
GWProcess('Katya', th, masksize, 'display')

end